Bug Hunting Session
Bug 61473 - FORMATTING: Math Formulas are changed when saving files which changes formatting
Summary: FORMATTING: Math Formulas are changed when saving files which changes formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Formula-Editor DOCX DOC
  Show dependency treegraph
 
Reported: 2013-02-26 02:17 UTC by mcc
Modified: 2019-10-30 03:37 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
This is an example of math formulas which have lost the alignc command and have added excess characters. (5.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-02-26 02:17 UTC, mcc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mcc 2013-02-26 02:17:34 UTC
Created attachment 75540 [details]
This is an example of math formulas which have lost the alignc command and have added excess characters.

Problem description: 
After creating simple math formulas, OO-Math adds undesirable characters.  I also drops formatting functions like alignc, alignr. 

Steps to reproduce:
1. For example: I will type,
tilde n `=` {left ( sum w sub i right ) sup 2} over
{sum w sub i sup 2}

widetilde {n} = {{left (sum {{w} rsub {i}} right )} ^ {2}} over {sum {{w} rsub {i} rsup {2}}}

2. when I type: {alignc n} over {abcdefg}
Then save the document, then reopen the doc. it deletes alignc.
After opening it becomes {n} over {abcdefg} {}
3. ....

Current behavior:

Expected behavior:
Really is a big problem I cannot trust it at all.
              
Operating System: Linux (Other)
Version: 3.5.4 release
Comment 1 Yifan Jiang 2013-02-26 09:27:16 UTC
Confirmed. It is actually a docx export problem.

The mentioned formula format function totally missing when exporting to docx:

{alignc n} over {x}
{alignl n} over {x}
{alignr n} over {x}

Namely, save the document as odt file doesn't trigger the problem.
Comment 2 QA Administrators 2015-02-19 15:49:26 UTC Comment hidden (obsolete)
Comment 3 Jean-Baptiste Faure 2015-02-24 08:11:20 UTC
Nothing changed. Tested with LibreOffice 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64.

Changed component to filters and storage, because it is a problem of OOXML export.

Best regards. JBF
Comment 4 tommy27 2016-04-16 07:25:42 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2016-05-01 09:06:57 UTC
Nothing changed in LO 5.1.4.0.0+ and master, both build at home under Ubuntu
16.04 x86-64.

Best regards. JBF
Comment 6 QA Administrators 2017-05-22 13:40:50 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2017-07-24 11:55:51 UTC
Still reproducible with LO 5.4.1.0.0+ built at home under Ubuntu 16.04 x86-64. 

Best regards. JBF
Comment 8 QA Administrators 2018-07-25 02:39:47 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2018-10-29 19:55:45 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 0f190f50368816964b2a1b7bb58000ac1792d640
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from 2 days ago
Comment 10 QA Administrators 2019-10-30 03:37:20 UTC
Dear mcc,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug